package types

import "fmt"

type SensorModel string

const (
	DHT11   SensorModel = "DHT11"
	DHT22               = "DHT22"
	DS18B20             = "DS18B20"
)

// SelectSensorModel converts a string into a constant
func SelectSensorModel(model string) (SensorModel, error) {
	switch model {
	case "DHT11":
		return DHT11, nil
	case "DHT22":
		return DHT22, nil
	case "DS18B20":
		return DS18B20, nil
	default:
		return "", fmt.Errorf("Sensor Model %v currently not supported", model)
	}
}
